/**
 * <copyright>
 * </copyright>
 *
 * $Id: ModelElementValidator.java,v 1.1 2007-07-10 15:42:39 ffillion Exp $
 */
package org.openembedd.checker.modelConfig.validation;


/**
 * A sample validator interface for {@link org.openembedd.checker.modelConfig.ModelElement}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface ModelElementValidator {
	boolean validate();

	boolean validateName(String value);
	boolean validateNameID(String value);
}
